<ng-container *subscribe="editIndicatorMutation.result$ as indicator">
  <ngx-loading [show]="indicator.isLoading" />
</ng-container>

<div [ngClass]="[jds.card, jds.mb(20)]">
  <div [ngClass]="[jds.cardBody, jds.p(24)]">
    <ng-container *ngIf="isLoadingRead$ | async">
      <div class="wrapper-skeleton">
        <ngx-skeleton-loader
          [theme]="{
            width: '90%',
            'border-radius': '0',
            height: '28px',
            'margin-bottom': '10px'
          }"
        />
      </div>
      <div
        class="wrapper-skeleton"
        *ngFor="let line of [40, 30]"
      >
        <ngx-skeleton-loader
          [theme]="{
            width: line + '%',
            'border-radius': '0',
            height: '20px',
            'margin-bottom': '10px'
          }"
        />
      </div>
    </ng-container>

    <ng-container *ngIf="(isLoadingRead$ | async) === false">
      <ng-container *ngIf="data$ | async as row">
        <div [ngClass]="className.header">
          <h6 [ngClass]="className.title">{{ row.name }}</h6>
          <div
            [ngClass]="className.action"
            [style.flexShrink]="0"
          >
            <jds-bi-hosted-dropdown
              [(open)]="isDropdownDownload"
              [jdsBiDropdownLimitWidth]="'auto'"
              [content]="dropdownDownload"
            >
              <button
                [ngClass]="[jds.button, jds.buttonPrimary, jds.d('flex')]"
                type="button"
              >
                <span>Unduh Indikator</span>
                <jds-bi-icon
                  [ngClass]="[jds.ms(8)]"
                  name="chevron-down"
                />
              </button>
            </jds-bi-hosted-dropdown>

            <ng-template #dropdownDownload>
              <ul
                [ngClass]="[jds.dropdownMenu]"
                [style.minWidth.px]="150"
              >
                <li [ngClass]="[jds.dropdownNavbarItem]">
                  <a
                    [ngClass]="[jds.dropdownNavbarLink]"
                    (click)="onDownload('csv')"
                  >
                    CSV
                  </a>
                </li>
                <li [ngClass]="[jds.dropdownNavbarItem]">
                  <a
                    [ngClass]="[jds.dropdownNavbarLink]"
                    (click)="onDownload('excel')"
                  >
                    Excel
                  </a>
                </li>
              </ul>
            </ng-template>

            @if (
              satudataUser.role_name === 'walidata' ||
              (satudataUser.role_name === 'opd' &&
                satudataUser.kode_skpd === row.kode_skpd)
            ) {
              <!-- TODO: activate if backend verification ready
              @if (row.is_validate === 0 || row.is_validate === 3) { -->
              <jds-bi-hosted-dropdown
                [(open)]="isDropdownAction"
                [jdsBiDropdownLimitWidth]="'auto'"
                [jdsBiDropdownAlign]="'right'"
                [content]="dropdownAction"
              >
                <button
                  [ngClass]="[
                    jds.button,
                    jds.buttonDefault,
                    jds.d('flex'),
                    jds.ms(10)
                  ]"
                  type="button"
                >
                  <jds-bi-icon name="ellipsis" />
                </button>
              </jds-bi-hosted-dropdown>

              <ng-template #dropdownAction>
                <ul
                  [ngClass]="[jds.dropdownMenu]"
                  [style.minWidth.px]="150"
                >
                  <!-- TODO: activate if backend verification ready
                    @if (row.is_validate === 0) {
                      <li [ngClass]="[jds.dropdownNavbarItem]">
                        <a
                          [ngClass]="[jds.dropdownNavbarLink]"
                          [routerLink]="['/my-indicator/edit/', row.id]"
                          [queryParams]="{
                            page: 'indicator',
                            status: 'draft-active'
                          }"
                          >Ubah</a
                        >
                      </li>
                      <li [ngClass]="[jds.dropdownNavbarItem]">
                        <a
                          [ngClass]="[jds.dropdownNavbarLink]"
                          (click)="onDelete(row.id)"
                          >Hapus</a
                        >
                      </li>
                    } -->

                  <!-- TODO: activate if backend verification ready
                    @if (row.is_validate === 3) { -->
                  @if (row.is_active === true) {
                    <li [ngClass]="[jds.dropdownNavbarItem]">
                      <a
                        [ngClass]="[jds.dropdownNavbarLink]"
                        [routerLink]="['/my-indicator/edit/', row.id]"
                        [queryParams]="{
                          page: 'indicator',
                          status: 'approve-active'
                        }"
                        >Ubah</a
                      >
                    </li>
                    <li [ngClass]="[jds.dropdownNavbarItem]">
                      <a
                        [ngClass]="[jds.dropdownNavbarLink]"
                        (click)="onArchive(row.id)"
                        >Arsipkan</a
                      >
                    </li>
                  }
                  @if (row.is_active === false) {
                    <li [ngClass]="[jds.dropdownNavbarItem]">
                      <a
                        [ngClass]="[jds.dropdownNavbarLink]"
                        (click)="onActive(row.id)"
                        >Aktifkan</a
                      >
                    </li>
                  }
                  <!-- } -->
                </ul>
              </ng-template>
            }
            <!-- } -->
          </div>
        </div>
        <div [ngClass]="[jds.d('flex'), jds.alignItems('start')]">
          <div [ngClass]="jds.me(48)">
            <div
              [ngClass]="[
                jds.fs(14),
                jds.mb(8),
                jds.text(jdsBiColor.gray['600'])
              ]"
              [style.lineHeight.px]="20"
            >
              Tanggal Diperbarui
            </div>
            <div
              [ngClass]="[jds.d('flex')]"
              [style.verticalAlign]="'middle'"
            >
              <jds-bi-icon
                [ngClass]="[jds.me(6), jds.text(jdsBiColor.gray['600'])]"
                name="calendar"
              />
              <span
                [ngClass]="[jds.fs(14)]"
                [style.position]="'relative'"
                [style.top.px]="1"
                [style.lineHeight.px]="23"
              >
                {{ moment(row.mdate).locale('id').format('DD MMMM YYYY') }}
              </span>
            </div>
          </div>

          <div [ngClass]="jds.me(48)">
            <div
              [ngClass]="[
                jds.fs(14),
                jds.mb(8),
                jds.text(jdsBiColor.gray['600'])
              ]"
              [style.lineHeight.px]="20"
            >
              Bulan Rilis
            </div>
            <div
              [ngClass]="[jds.d('flex')]"
              [style.verticalAlign]="'middle'"
            >
              <jds-bi-icon
                [ngClass]="[jds.me(6), jds.text(jdsBiColor.gray['600'])]"
                name="calendar"
              />
              <span
                [ngClass]="[jds.fs(14)]"
                [style.position]="'relative'"
                [style.top.px]="1"
                [style.lineHeight.px]="23"
              >
                {{ moment(row.datetime).locale('id').format('MMMM YYYY') }}
              </span>
            </div>
          </div>

          <div [ngClass]="jds.me(48)">
            <div
              [ngClass]="[
                jds.fs(14),
                jds.mb(8),
                jds.text(jdsBiColor.gray['600'])
              ]"
              [style.lineHeight.px]="20"
            >
              Kategori
            </div>
            <div
              [ngClass]="[jds.d('flex')]"
              [style.verticalAlign]="'middle'"
            >
              <jds-bi-icon
                [ngClass]="[jds.me(6), jds.text(jdsBiColor.gray['600'])]"
                name="cabinet-filing"
              />
              <span
                [ngClass]="[jds.fs(14)]"
                [style.position]="'relative'"
                [style.top.px]="1"
                [style.lineHeight.px]="23"
              >
                {{ row.category_name }}
              </span>
            </div>
          </div>

          <div>
            <div [ngClass]="className.label">Klasifikasi</div>
            <ng-container *ngFor="let history of row.history_class">
              <span
                [colorScheme]="getClassificationColor(history.id_class)"
                [ngClass]="[jds.me(8)]"
                jdsBiBadge
              >
                {{ history.name }}
              </span>
            </ng-container>
          </div>
        </div>
      </ng-container>
    </ng-container>
  </div>
</div>

<!-- Modal Download -->
<app-modal
  id="modal-download"
  #modal
  [isClose]="false"
  position="center"
>
  <ng-container ngProjectAs="body">
    <div [ngClass]="[jds.mt(10), jds.mb(10)]">
      <h6>
        Unduh Indikator {{ downloadName ? '"' + downloadName + '"' : '' }}
      </h6>
      <div [ngClass]="[jds.d('flex'), jds.mb(8)]">
        Proses pengaksesan indikator
        <span [ngClass]="jds.ms('auto')">{{ downloadProgress }}%</span>
      </div>
      <div [ngClass]="jds.progress">
        <div
          [ngClass]="[
            jds.progressBar,
            jds.progressBarStriped,
            jds.progressBarAnimated,
            jds.bg('success')
          ]"
          [style.width.%]="downloadProgress"
          role="progressbar"
          aria-label="Unduh Indikator"
        ></div>
      </div>
    </div>
  </ng-container>
</app-modal>

<app-modal-indicator-status
  [from]="'header'"
  [status]="status"
  (update)="onUpdate($event)"
/>
